/* 
Theme Name: Hello Eliophot Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team & Eliophot
Author: Eliophot
Author URI: https://www.eliophot.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready, Eliophot
*/

/* --- GLOBAL --- */
/*menu langues*/
.menu-langues .current-language-menu-item span {
    color: #EBE3D780 !important;
}

/* separateurs bullet points */
.bullets-separator .elementor-icon-wrapper {
    display: flex;
}


/* --- MENU BURGER --- */
.menu-burger .elementor-widget-nav-menu .elementor-nav-menu .elementor-item {
    line-height: var(--e-global-typography-1fbd2fe-line-height);
}


/* --- HEADER --- */
/*gestion hover des btns du menu*/
@media screen and (min-width: 1025px) {
    #header .nav-btn a:after {
        content: "";
        width: 4px;
        height: 4px;
        border-radius: 50%;
        background: var(--e-global-color-accent);
        position: absolute;
        left: 50%;
        bottom: -6px;
        transform: translateX(-50%);
        opacity: 0;
        transition: opacity 0.25s;
    }

    #header .nav-btn a:hover:after {
        opacity: 1;
    }

    #header .nav-btn a {
        position: relative;
    }
}

/*hover main menu*/
@media screen and (min-width: 1025px) {
    #header .menu-wrapper .menu-main li {
        max-width: 0;
        opacity: 0;
        transition: max-width 2s, opacity 1.2s
    }

    #header .menu-wrapper:hover .menu-main li {
        opacity: 1;
        max-width: 300px;
    }

    #header .menu-wrapper .menu-btn {
        cursor: default;
    }

    #header .menu-wrapper .menu-main .mobile-only {
        display: none;
        visibility: hidden;
        opacity: 0;
        pointer-events: none;
    }
}


/* --- FOOTER --- */
@media screen and (max-width: 1025px) {
    #footer .menu-footer a {
        justify-content: center;
    }

    #footer .menu-footer a:before {
        content: none;
    }
}

/* --- HOMEPAGE --- */
/* animation hero/loader */
#hero_loader-home {
    position: relative;
}

.hero-carousel img {
    height: 100vh;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

/* section 1 - INTRO:The Art of French Service */
.section-1 .img-right img {
    aspect-ratio: 243 / 340;
}

/* section 2 - INTRO:Our expertise rests above all on the human factor. */
.section-2 .img-1 img {
    aspect-ratio: 223 / 312;
}

.section-2 .texts-wrapper {
    max-width: 780px;
}

.section-2 .img-2 img {
    aspect-ratio: 140 / 210;
}

/* section 4 - Sarah Latrous:Presentation */
.section-4 .img-1 img {
    aspect-ratio: 245 / 307;
}

.section-4 .img-2 img {
    aspect-ratio: 178 / 266;
}

.section-4 .citation:before {
    position: absolute;
    top: 0;
    right: calc(100% + 10px);
    content: url("/wp-content/uploads/2026/03/quotation_mark.svg");
}

@media screen and (max-width: 767px) {
    .section-4 .citation:before {
        right: calc(100% - 1.5rem)
    }
}

.section-4 .img-3 img {
    aspect-ratio: 667 / 790;
    /*max-width: 720px;*/
}

/* section 5 - Sarah Latrous:Vision */
.section-5 .img-1 img {
    aspect-ratio: 315 / 382;
}

/* section 7 - Destinations */
.section-7 .grid .item-4 .destination .img-wrapper {
    aspect-ratio: 297 / 332;
}

@media screen and (min-width: 1025px) and (max-width: 1200px) {
    .section-7 .grid {
        column-gap: 1rem !important;
        row-gap: 3rem !important;
    }
}

@media screen and (min-width: 1025px) {

    /*section grid*/
    .section-7 .grid {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: fit-content;
        row-gap: 5rem;
        column-gap: 2rem;
        align-items: start;
    }

    .section-7 .grid .item-1 {
        grid-area: 1 / 2 / 2 / 3;

    }

    .section-7 .grid .item-2 {
        grid-area: 1 / 3 / 2 / 5;

    }

    .section-7 .grid .item-3 {
        grid-area: 2 / 1 / 3 / 2;

    }

    .section-7 .grid .item-4 {
        grid-area: 2 / 2 / 3 / 5;
    }

    /*carousel destination*/
    .section-7 .grid .destination-carousel .img-wrapper .btn {
        opacity: 0;
        transition: opacity 0.3s;
    }

    .section-7 .grid .destination-carousel .img-wrapper:hover .btn {
        opacity: 1;
    }
}

/* section 8 - Key Services */
@media screen and (min-width: 1025px) {
    .section-8 .texts-wrapper {
        max-width: 420px;
    }
}

@media screen and (max-width: 1025px) {
    .section-8 .key_service .img-1 img {
        aspect-ratio: 1 !important;
        max-width: unset;
    }
}

@media screen and (min-width: 1025px) {

    /* key service 1 */
    .section-8 .key_service-1 .img-1 img {
        aspect-ratio: 183 / 290;
        max-width: 183px;
    }

    .section-8 .key_service-1 .img-2 img {
        aspect-ratio: 276 / 290;
    }

    /* key service 2 */
    .section-8 .key_service-2 .img-1 img {
        aspect-ratio: 258 / 380;
        max-width: 258px;
    }

    /* key service 3 */
    .section-8 .key_service-3 .img-2 img {
        aspect-ratio: 162 / 247;
    }

    .section-8 .key_service-3 .img-1 img {
        aspect-ratio: 265 / 368;
    }

    /* key service 4 */
    .section-8 .key_service-4 .img-1 img {
        aspect-ratio: 413 / 245;
    }

    .section-8 .key_service-4 .img-2 img {
        aspect-ratio: 129 / 190;
        max-width: 129px;
    }

    /* key service 5 */
    .section-8 .key_service-5 .img-1 img {
        aspect-ratio: 273 / 396;
        max-width: 273px;
    }

    .section-8 .key_service-5 .img-2 img {
        aspect-ratio: 162 / 247;
        max-width: 162px;
    }

    /* key service 6 */
    .section-8 .key_service-6 .img-1 img {
        aspect-ratio: 310 / 426;
        max-width: 310px;
    }

    /* key service 7 */
    .section-8 .key_service-7 .img-1 img {
        aspect-ratio: 358 / 264;
        max-width: 358px;
    }

    /* key service 8 */
    .section-8 .key_service-8 .img-1 img {
        aspect-ratio: 254 / 350;
        max-width: 254px;
    }

    /* key service 9 */
    .section-8 .key_service-9 .img-1 img {
        aspect-ratio: 321 / 236;
        max-width: 321px;
    }
}



/* section 9 - The Art of French Service */
@media screen and (min-width: 1025px) {
    .section-9 .item-wrapper {
        max-width: 480px;
    }
}

/* section 10 - Talents */
.section-10 .img-1 img {
    aspect-ratio: 178 / 260;
    max-width: 178px;
}

.section-10 .img-2 img {
    aspect-ratio: 472 / 594;
    max-width: 472px;
}

.section-10 .img-3 img {
    aspect-ratio: 220 / 299;
}

/* section 11 - Talents Presentation */
.section-11 .img-1 img {
    aspect-ratio: 315 / 382;
    max-width: 315px;
}

/* section avis clients */
.avis_clients .elementor-testimonial {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.avis_clients .elementor-testimonial .elementor-testimonial__text {
    text-align: center;
}

.avis_clients .eicon-chevron-right:before {
    content: url("/wp-content/uploads/2026/03/arrow_right-almond.svg");
}

.avis_clients .eicon-chevron-left:before {
    content: url("/wp-content/uploads/2026/03/arrow_left-almond.svg");
}



/* section formulaire */
.section-form form .elementor-field-type-acceptance label {
    color: var(--e-global-color-secondary) !important;
}

.section-form form .elementor-field-type-recaptcha_v3 {
    display: none;
}

@media screen and (min-width: 768px) {
    .section-form .bg-image {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
}


/* section FAQ */
.faq .e-n-accordion-item-title {
    justify-content: space-between;
}